2021-01-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.50.3

2021-01-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.0.1

	codegen: Fix assignment of casted struct value to property
	Usage of address-of operator requires lvalue access. Therefore use a
	temporary variable to be passed to property setter.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1126

	gstreamer: Update from 1.19.0+ git master

2021-01-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Fix DBusSubtreeIntrospectFunc binding

	tests: Add "string switch" test to increase coverage

2021-01-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more "array field initializer" tests to increase coverage

	codegen: Don't leak memory on internal value comparison of property setter

	codegen: Don't leak memory of already assigned out-parameter on error
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1123

	codegen: Use CCodeInvalidExpression instead of place holders

	tests: Add "array creation" tests to increase coverage

2020-12-29  Chris White  <cxwembedded@gmail.com>

	gstreamer-1.0: Fix direction of Gst.Iterator.fold() ret parameter
	See https://gitlab.gnome.org/GNOME/vala/issues/1014

2020-12-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.0.0+0fcf01dd

	vala: Ownership transfer of inline-allocated array is not allowed
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/931

	gtk4: Don't rename binding for gtk_css_provider_load_from_data
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1117

2020-12-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Actually export PKG_CONFIG_PATH and LD_LIBRARY_PATH in tests extra

2020-12-22  Reuben Thomas  <rrt@sc3d.org>

	testrunner: A lot of simplifications

	tests: Use Automake’s parallel test driver to speed up running tests
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1094

2020-12-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Accept "unowned var" as type for foreach variable declaration
	In addition to 39331e235f1183223c8ea685e3501ab4ca932c8f

	See https://gitlab.gnome.org/GNOME/vala/issues/152

2020-12-22  Ulrich Küttler  <kuettler@gmail.com>

	vala: SliceExpression need to return heap-allocated or unowned references
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1120

2020-12-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: value_type of PointerIndirection expressions must not be owned
	A member-access making the wrong assumption of a previous copy resulted
	in a double free.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1118

	vala: Add missing TraverseVisitor.visit_addressof_expression()

	gtk4: Update to 4.0

2020-12-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.30.3

	gstreamer: Update from 1.19.0+ git master

	gtk4: Update to 3.99.5.1+2d3a3986

2020-12-11  Chris White  <cxwembedded@gmail.com>

	gstreamer-1.0: Fix direction of GLib.Value typed parameters
	Use `out` for functions that take an uninitialized GLib.Value.
	Use `ref` for functions that take a GLib.Value initialized with
	a particular type.

	Remove unused Gst.ControlBindingConvert

	Note that the destination is nullable, but not expressly marked as such,
	in gst_value_intersect, gst_value_subtract and
	gst_message_parse_property_notify.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1014

2020-12-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Report an error if gio-2.0 is missing for DBus support

	gtk4: Use correct cheader_include for wayland/x11 gdk backend
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1112

2020-11-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.50.2

	manual: Update from wiki.gnome.org

	gstreamer: Update from 1.19.0+ git master

	gtk4: Update to 3.99.4+7551f85d

2020-11-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "translated string constant" test to increase coverage

	tests: Add "constructor with inner error" test to increase coverage

	tests: Add more "delegate" tests to increase coverage

2020-11-16  Arne Hoch  <derhoch@gmail.com>

	linux: Add missing struct in cname for Spi.IocTransfer
	There is no typedef, so "struct spi_ioc_transfer" needs to be used.

2020-11-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapigen: Avoid superfluous cast

2020-11-16  Reuben Thomas  <rrt@sc3d.org>

	posix: Add freopen binding, as FILE.reopen()

2020-11-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add *.log and *.trs to .gitignore

2020-11-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Improve GenericArray.length property

2020-11-10  Corentin Noël  <corentin@elementary.io>

	codegen: Report internal error for unsupported collection type in foreach

2020-11-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update from 1.19.0+ git master

	gtk4: Update to 3.99.4+0d82faa2

2020-11-10  Corentin Noël  <corentin@elementary.io>

	glib-2.0: Add GenericArray.find_custom() as variant of find_with_equal_func()
	This allows the needle to be a different type as the actual element type.
	The implementation of ArraySearchFunc<G,T> is more customizable this way.

2020-11-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Use DataType.compatible() to check for string concatenation
	Make the checks match the ones performed by the code-generator to prevent
	invalid c-code to be created.

	See https://gitlab.gnome.org/GNOME/vala/issues/1100

2020-10-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	libvaladoc/girimporter: Skip "docsection" elements in <namespace>
	See https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/226

2020-10-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	curses: Correctly use [PrintfFormat] attribute

	valadoc: Don't call CodeContext.pop() on empty stack
	Otherwise this results in an expected assertion.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1064

	vala: CodeNode.source_reference is optional, so let the API respect that

2020-10-23  Jeremy Philippe  <jeremy.philippe@gmail.com>

	codegen: More use of delegate_target_type and delegate_target_destroy_type (2)

2020-10-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Update outdated array _size_ variable of captured local-variable
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1090

2020-10-23  Reuben Thomas  <rrt@sc3d.org>

	curses: Add Terminfo API set, function keycodes F(n) and minor changes
	Some terminfo-related API were already bound (mvcur, vidattr, vidputs);
	move these all together, and add missing symbols (all from term.h).
	Bind the “F(n)” macro for function key codes.
	Annotate VidputsPutcFunc for correct C generation.
	Add attribute A_ITALIC (ncurses extension).

	glib-2.0: Add return codes to FileStream.putc/puts(), like posix
	The corresponding C functions return a status code; make the GLib types
	the same as the Posix types.

	This gives these functions the correct type signature for use where a
	putc-like function is required.

2020-10-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	alsa: Fix PcmDevice.set_poll_descriptors_revents() binding
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1092

	gtk4: Update to 3.99.3+8880e3bd
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1089

2020-10-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow markup-reader to accept spaces around '=' of attribute assignment

	gio-2.0: Fix binding of Resolver.lookup_service*()

2020-10-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.19.0+ git master

	gtk4: Attribute Gsk.ShaderArgsBuilder.free_to_args with DestroysInstance

	gtk4: Update to 3.99.3+25a1c421

	codegen: Don't use inferred type for temp-value to access generic property
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1088

	libvaladoc: Don't filter-out generic type-parameters of delegates

2020-10-19  Reuben Thomas  <rrt@sc3d.org>

	doc/vala-gen-introspect.1: fix a typo

2020-10-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	testrunner: Add "-Werror=return-local-addr" flag

	posix: Declare fstat, stat, lstat and fstatat as public
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1086

	rest-0.7: Fix ParamsIter.next() binding
	Thanks to Rasmus Thomsen

2020-10-19  Jeremy Philippe  <jeremy.philippe@gmail.com>

	codegen: Reduce get_delegate_target/get_delegate_target_destroy_notify calls

	codegen: More use of delegate_target_type and delegate_target_destroy_type

2020-10-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Fix return-type of Uri.parse_params() binding

	vala: Issue an error on void initializer for local-variable

	Don't use broken and unsupported cast expression as statement

2020-09-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.50.1

	libvaladoc: Fix a couple of C compiler warnings

	g-i: Fix a couple of C compiler warnings

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.19.0+ git master

	gtk4: Update to 3.99.1+15b635d7

	testrunner: Filter external -0X flags to preserve current default -O0

2020-09-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Stop passing obsolete --use-header

	testrunner: Pass --enable-checking to increase coverage

	codegen: Don't pass CCodeFunctionCall to NULL-aware free macro
	This resulted in invalid C code:
	    error: lvalue required as left operand of assignment

	codegen: Don't falsly use g_return_val_if_fail() for async creation method
	Asynchronous creation methods are represented by 5 functions, "*_new",
	"*_new_finish", "*_construct", "*_construct_co" and "*_construct_finish".
	The argument checks are emitted in "*_construct" which is a void function
	and cannot return any value.

	Regression of 43f3e2ca534d082433fbe62aa347b7af443f9f33

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1077

2020-09-27  Nick Schrader  <nick.schrader@mailbox.org>

	vala: Recognize previously inserted implicit access to with-variable
	Replaces b2746b9c3a2edc17ae7d27b30123fe0aeec52f82

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1043

	vala: Prioritize the usage of an existing with-variable instance

2020-09-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.30.1

	gtk4: Update to 3.99.1+ee75bae8

2020-09-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Allow to begin expression with statement keyword
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1073

2020-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve parsing of with-statement and allow it as embedded statement

	gtk4: Update to 3.99.1+35c3a60c

2020-09-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.99.1+9afdb41b

	gtk4: Don't skip LayoutManager.create_layout_child()
	It is marked as not introspectable for some reason.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1071

2020-09-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.50.0

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.18.0+ git master

	poppler-glib: Update to 20.09.0

2020-09-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: The actual struct size is required for calloc (POSIX)
	Found by -Werror=array-bounds on ppc64el with gcc 10.2 and musl 1.2

	basic_types_arrays.c:1268:2: error: 'memcpy' forming offset [8, 23] is
	out of the bounds [0, 8] [-Werror=array-bounds]
	 1268 |  memcpy (dup, self, sizeof (Foo));
	      |  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1068

2020-09-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.49.92

2020-09-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.99.0+6c9fe63a

	Don't use locale dependent string functions on syntax strings
	Replace usage of string.down() with string.ascii_down(),
	and string.up() with string.ascii_up()

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1067

2020-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk4: Update to 3.99.0+02d57f1f

2020-08-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	libvaladoc/gtkdoc-importer: Don't let parse_block_taglet() return null
	This caused criticals like:

	  valadoc_taglets_param_set_is_c_self_param: assertion 'self != NULL' failed

	libvaladoc/gtkdoc-importer: Correctly retrieve "url" from "ulink" elements
	This caused criticals like:

	  g_uri_parse_scheme: assertion 'uri != NULL' failed

	libvaladoc/girimporter: Fallback to "name" for callback
	This caused criticals like:

	  valadoc_importer_gir_documentation_importer_attach_comment: assertion 'cname != NULL' failed

2020-08-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Additionally fallback to "glib:type-name" to retrieve the cname

	libvaladoc/girimporter: Fallback to "glib:type-name" for class, interface and record
	This caused criticals like:

	  valadoc_importer_gir_documentation_importer_attach_comment: assertion 'cname != NULL' failed

	libvaladoc/girimporter: Improve parse_symbol_doc() and don't use parse_doc()

2020-08-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	libvaladoc/girimporter: Skip "attribute" elements
	This is the same patch as in commit 6ea19c61015d0dd6cacb581397c8fe37ace9df4a

	Release 0.49.91

	gio-2.0: Socket.receive*.buffer parameters are not "out"

	glib-2.0: Update GLib.Uri API (since 2.66)

	glib-2.0: Add GLib.UriParamsIter bindings (since 2.66)

	gio-unix-2.0: Add g_unix_mount_copy and g_unix_mount_point_copy

	gio-unix-2.0: Add g_unix_mount_point_at and g_unix_mount_points_get

2020-08-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Resolve a few conflicts of methods with virtual-methods

2020-08-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Add ObjectCreationExpression.to_string()

2020-08-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Additionally break on ObjectCreationExpression in "tainted" check

	Fix various typos in comments and strings
	See https://gitlab.gnome.org/GNOME/vala/issues/1063

	manual: Update from wiki.gnome.org

2020-08-18  Alistair Thomas  <astavale@yahoo.co.uk>

	codegen: Always include base_struct declaration if available
	This fixes inheritance of structs across source files while not using
	a header file.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/464

2020-08-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't append unreachable clean-up section of Block
	Found by -Werror=unreachable-code

	Improvements for https://gitlab.gnome.org/GNOME/vala/issues/838

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/169

	Revert "codegen: Don't append unreachable clean-up section of Block"
	This reverts commit 8f3a0a0b64e0c7fbcc9231c3058247920dd6eeda.

2020-08-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	doc: Update AUTHORS in manpages

	Release 0.49.90

	gtk4: Update to 3.99.0+e6e2d6b4

	pango: Update from 1.46.0

	gstreamer: Update from 1.17.2+ git master

	webkit2gtk-4.0: Update to 2.29.91

2020-08-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Set parent_node for child nodes of lambda-expression
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1062

2020-08-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "pre-post-increment with side effect" tests to increase coverage
	See https://gitlab.gnome.org/GNOME/vala/issues/1061

	Force usage of temporary variables for "tainted" member accesses
	This is required to handle the side effect of postfix- and unary-
	increment/decrement expressions.

	Regression of 32ffc862417be39d42a1b8eeb3d0748b3e138aff
	and b9035aaf17a9a97a070812a8ee83251fd3893b1e

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1061

	vala: Move transformation of unary increment/decrement to codegen
	In preparation for https://gitlab.gnome.org/GNOME/vala/issues/1061

	Add TraverseVisitor for traversing the tree with a callback
	This will allow cleaning up virtual methods of code nodes
	and more stateful to stateless code conversion.

2020-08-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Don't rely on undefined use-after-free behaviour of glibc
	Makes this check work with musl >= 1.2.1

	https://bugzilla.gnome.org/show_bug.cgi?id=736774

2020-08-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "nested namespace" girwriter test to increase coverage
	See https://gitlab.gnome.org/GNOME/vala/issues/1059

	tests: Add "constant and union" gir test to increase coverage

	tests: Add "property accessor with try statement" test to increase coverage

	tests: Add more "invalid" tests to increase coverage

	Revert "girwriter: Use appropriate get_ccode_* functions"
	This reverts commit 7b0498d4f4fcaa3bd9e04d65560324847136f0ac.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1059

	Release 0.49.2

2020-08-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.2+ git master

	gtk4: Update to 3.99.0+358b698e

2020-08-09  Jeremy Philippe  <jeremy.philippe@gmail.com>

	posix: Declare WRDE_APPEND constant as public

2020-08-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	posix: Add missing "has_typedef" attribute for some delegates

2020-08-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	goocanvas-2.0: Fix some field ownerships and types
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1057

	codegen: Support non-virtual signals with default handler
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1056

2020-08-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "return in construct/destructor" tests to increase coverage

	tests: Add "enum typed property" tests to increase coverage

	vala: Switch context if with-variable is not owned by with-statement ifself
	See https://gitlab.gnome.org/GNOME/vala/issues/1043

	gtk4: Update to 3.99.0+83e9b5b4

2020-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Mark tranformed member-access as qualified
	Regression of 866258f688d781f3536892b8f93abdd3112198ec

	See https://gitlab.gnome.org/GNOME/vala/issues/57

	gio-2.0: Include "gio/gsettingsbackend.h" for GLib.SettingsBackend members
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1054

	girparser: Add support for string "feature_test_macro" metadata

	codegen: Include header for base-symbols when connecting vfuncs
	This eases the handling of types which are split over different headers.

2020-08-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	pango: Update from 1.45.4+

	gstreamer: Update from 1.17.2+ git master

	gtk4: Update to 3.99.0+bbb15f65

	vala: Inherit CCode.returns_floating_reference attribute from base method
	Regression of 49a6d475052ec476140c545a26ac8d5abe35c849

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1053

2020-08-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	Update manpages

	Release 0.49.1

2020-08-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: Fix "g_unix_mount_for" binding
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1052

2020-08-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add GLib.File.set_contents_full() binding (since 2.66)

	gstreamer: Update from 1.17.2+ git master

	gtk4: Update to 3.99.0+d743e757

2020-07-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.48

	webkit2gtk-4.0: Update to 2.29.4

	gtk4,gtk4-unix-print: Update to 3.98.5+23dcf36e

2020-07-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Use appropriate get_ccode_* functions
	This will pick up possible CCode.*name attributes

	girwriter: Internal fields/vfuncs in type-symbols are public in C
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/513

2020-07-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Don't include symbols outside of a namespace
	Additionally report a warning for symbols which doesn't fulfill this rule.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/241

	codegen: Properly destroy elements of an inline struct array
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/365

2020-07-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.24.21+ffe2df7b

	gtk4: Update to 3.98.5+f2bdb1fb

	gstreamer: Update from 1.17.2+ git master

2020-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Skip 'docsection' elements in <namespace>
	See https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/226

2020-07-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Check error-type accessibility of creation methods and delegates

	codegen: Check param for null before using it
	Regression of 5490b0b21a4089d803d51c91311430d60d266f7b

	This caused criticals like:

	  vala_get_ccode_array_length: assertion 'node != NULL' failed

	See https://gitlab.gnome.org/GNOME/vala/issues/929

2020-07-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Mark with-statements as experimental
	See https://gitlab.gnome.org/GNOME/vala/issues/327

2020-07-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow prototype access to signal with emitter
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1040

	tests: Add "access vfunc pointer" test to increase coverage

2020-07-20  Jean Pierre Dudey  <me@jeandudey.tech>

	girwriter: Write c:symbol-prefix on supported elements
	This specifies the symbol prefix, e.g.: window in gtk_window_new

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1038

	girwriter: Write c:type="void" when name="none"
	This is to match g-ir-scanner behaviour of using the c:type to
	identify void return value.

	girwriter: Add c:identifier-prefixes to <namespace>
	c:prefix is deprecated and c:identifier-prefixes should be used.

2020-07-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Drop type_id from GLib.Error, let it be handled internally
	Regression of 4db1b33e7a8424e12abc85342111e75bd07c7aa9

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1039

	vala: Improve check of expression passed to yield
	Report a proper error and fix codegen cricical when a signal is given:

	  vala_ccode_function_add_expression: assertion 'expression != NULL' failed

	See https://gitlab.gnome.org/GNOME/vala/issues/1039

2020-07-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update from 1.17.2+ git master

	gtk4: Update to 3.98.5+4da3edd4

2020-07-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Fix "methods/extern" test with -Werror=address and gcc 5.4.0

	gtk+-3.0: Resolve conflicts of signals with properties

	gtk4: Resolve conflict of DropTarget.drop signal with property
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1033

	girparser: Warn about conflicting signals and properties

	vala: Fix code indentation

	libvaladoc: Support exporting the `class` modifier on fields

2020-07-17  Corentin Noël  <corentin.noel@collabora.com>

	libvaladoc: Support exporting the `class` modifier on methods

2020-07-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Tranform instance member-access to a static one if possible
	There is a warning issued already and this cleans up the AST to prevent
	unwanted behaviour in the code-generator, which resulted in the
	invocation of "CCodeBaseModule.emit_temp_var()" and criticals like:

	  vala_ccode_function_add_declaration: assertion 'self != NULL' failed
	  vala_ccode_function_add_assignment: assertion 'self != NULL' failed

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/270

2020-07-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Use inheritted scopes of base-types/prerequisites to resolve symbols
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/54

	vala: Fully qualify member-access when using-directive was used to resolve
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/57

2020-07-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "pre/post-increment" tests to increase coverage

	testrunner: Add "-Werror=tautological-pointer-compare" flag

	codegen: Inline allocated and constant arrays are never NULL
	Found by -Werror=tautological-pointer-compare

	vapi: Disable deprecation warnings when checking bindings

2020-07-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Remove some public API from expressions and statements (2)

	codegen: Make use of CCode.cname for label name of CatchClause

2020-07-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.2+ git master

	gtk4: Update to 3.98.5+191e0e8d

	webkit2gtk-4.0: Update to 2.29.3

2020-07-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Handle parameter initializer without value-type
	This caused criticals like:

	  vala_data_type_compatible: assertion 'self != NULL' failed

	See https://gitlab.gnome.org/GNOME/vala/issues/1029

	testrunner: Add more -Werror=* flags

	codegen: Properly compare string if binary-expression contains string-literal
	Found by -Werror=address

2020-07-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "unique namespace" test
	A namespace symbol is unique for a given name in its CodeContext. This
	means attributes are inherited accross all occurances.

2020-07-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk4: Update to 3.98.5+26d83b1a

	gstreamer: Update from 1.17.2+ git master

2020-07-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "default gtype" tests to increase coverage

	glib-2.0: Add more explicit type_id attributes for various symbols

2020-07-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Return copy of constant type in get_value_type_for_symbol()

	vala: Recursive check of assignment target to recognize constants
	See https://gitlab.gnome.org/GNOME/vala/issues/944

	vala: Property must be writable when invoking ReturnsModifiedPointer method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1023

	vala: Don't allow "resize" invocation on variable with unowned array type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/928

	gtk4: Fix binding of CClosureExpression ctor
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1024

2020-07-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add AtomicUint, an alternation of AtomicInt for uint
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/915

2020-07-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Improve Gtk.ParamSpecExpression binding

	codegen: Handle "gtk_param_spec_expression" in get_param_spec()

	codegen: Cache type_symbol in get_param_spec()

	vala: Improve error handling of nested initializer lists
	This avoids reporting consequential errors.

	vala: Don't loose invalid_syntax when copying array type for local variable
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/942

	tests: Don't use invalid syntax to declare local variable with array type
	See https://gitlab.gnome.org/GNOME/vala/issues/942

	vala: Avoid subsequent critical caused by invalid array type for constant

2020-06-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	manual: Update from wiki.gnome.org

	Sync NEWS from 0.48

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.1+ git master

	gtk4: Update to 3.98.5+fca2ba96

	gtk4: Mark optional methods of Gdk.Paintable interface as virtual
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1021

2020-06-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.29.2

	gio-2.0: Add new symbols from 2.66

	glib-2.0: Add GLib.Uri bindings (since 2.66)

	vala: Don't carry floating reference into unknown target type expression
	A floating reference result of a method, which may throw an error, needs
	to be sinked when passed as argument for ellipsis parameter.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1018

	tests: Add "named argument" test to increase coverage

	gtk4: Update to 3.98.5+1d1f618a

	vala: Improve parameter check of "get" method meant to be used by foreach (2)
	Actually all integer-types as index parameter.

	vala: Improve parameter check of "get" method meant to be used by foreach
	The index-based iteration requires the "get" method to take one integer
	compatible parameter. Otherwise continue checking other options.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1017

2020-06-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.98.5+c0cbf9db

2020-06-25  Chris White  <cxwembedded@gmail.com>

	build: Update git-version-gen to latest upstream
	From commit 8a09003664733eb6bef031f56ef9cd575e403023 of
	https://git.savannah.gnu.org/cgit/autoconf.git/tree/build-aux/git-version-gen

2020-06-25  Michael Gratton  <mike@vee.net>

	glib-2.0: data of GLib.Bytes is allowed to be null
	Ctors accepting uint8 arrays accept null as 0-sized array and the
	`get_data` may return null if the size of the buffer is 0.

	https://developer.gnome.org/glib/stable/glib-Byte-Arrays.html

2020-06-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Avoid mitigation for missing token if it follows DOT or DOUBLE_COLON
	Rolling back to a DOT/DOUBLE_COLON token will retrigger the attempt to parse
	an incomplete member access.

	Regression of 4368a4fa667148378dcdbd251a4ae4e00c9a8e5a

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/987

2020-06-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Cast initializer-list to struct for non-constant/non-array assignments
	Avoid invalid c-code and use the correct syntax for compound literals.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1013

2020-06-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Prefix value names of PaintableFlags with "STATIC_"
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1011

	girparser: Actually respect given cprefix metadata for enumerations

	vala: Use available CodeContext instance for VersionAttribute.check()

2020-06-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk4: Update to 3.98.5+2cc39fe2

	gstreamer: Update from 1.17.0+ git master

	pango: Update from 1.45.2

2020-06-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Use correct value-type for ArrayCreationExpression used as argument
	Copy fixed_length and inline_allocated attributes from formal-target-type.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1009

2020-06-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	libvaladoc: Remove unused Api.Class.get_finalize_function_name() API

	Consistently use get_ccode_lower_case_prefix() for function names
	Create the expected name for "constructor" and "finalize" functions
	which are non-public API.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1008

2020-06-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Reduce calls of CodeContext.get()

	tests: Build typelib if g-ir-compiler is available

2020-06-11  Corentin Noël  <corentin.noel@collabora.com>

	libvaladoc/girimporter: Skip "function-macro" elements
	This is the same patch as in commit f51d9dfdaf97ab5b8377d7e5bb78cfc9b232dc86

2020-06-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Append symbol-attributes to callback field rather than its type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1006

	gtk4: Update to 3.98.5+d2235b71

2020-06-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add implicit parameter and instance checks in async method
	This is already done for every non-async method and can be disabled by
	passing --disable-assert.

	See https://gitlab.gnome.org/GNOME/vala/issues/1005

	gstreamer-audio-1.0: Adjustments for Gst.Audio.Sink class extension

2020-06-08  Rico Tzschichholz  <ricotz@ubuntu.com>
